# ExtendedPrivateChatImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.extended / ExtendedPrivateChatImpl

# ExtendedPrivateChatImpl

(common) `data class ExtendedPrivateChatImpl : ExtendedPrivateChat` (source)

### Constructors

(common)

#### <init>

`ExtendedPrivateChatImpl(id: ChatId, chatPhoto: ChatPhoto? = null, username: Username? = null, firstName: String = "", lastName: String = "")`

### Properties

(common)

#### chatPhoto

`val chatPhoto: ChatPhoto?`

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: ChatId`

(common)

#### lastName

`val lastName: String`

(common)

#### username

`val username: Username?`